PDFCIELabColorSpace (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class PDFCIELabColorSpace

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFArray
    - - org.apache.fop.pdf.PDFCIELabColorSpace

- All Implemented Interfaces:
    PDFColorSpace, PDFWritable

      public class PDFCIELabColorSpace
      extends PDFArray
      implements PDFColorSpace

  This class represents a "CIE L*a*b*" color space. It is expected that the components have the following ranges: L* [0..100], a* and b* [-127..127]

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFArray

      `values`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFCIELabColorSpace(float[] whitePoint, float[] blackPoint)` Creates a new "CIE L*a*b*" color space.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `int` | `getNumComponents()` Get the number of color components for this colorspace
    `boolean` | `isCMYKColorSpace()`
    `boolean` | `isDeviceColorSpace()`
    `boolean` | `isGrayColorSpace()`
    `boolean` | `isRGBColorSpace()`

    - ### Methods inherited from class org.apache.fop.pdf.PDFArray

      `add, add, clear, contains, get, getChildren, length, output, set, set`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFCIELabColorSpace

          public PDFCIELabColorSpace(float[] whitePoint,
                                     float[] blackPoint)

      Creates a new "CIE L*a*b*" color space. Valid value ranges for the white and black point are [0..1] as per the PDF spec.
      Parameters:
        `whitePoint` - the white point
        `blackPoint` - the optional black point (may be null)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `PDFColorSpace`
      Returns:
        the name of the color space

    - #### getNumComponents

          public int getNumComponents()

      Get the number of color components for this colorspace
      Specified by:
        `getNumComponents` in interface `PDFColorSpace`
      Returns:
        the number of components

    - #### isCMYKColorSpace

          public boolean isCMYKColorSpace()

      Specified by:
        `isCMYKColorSpace` in interface `PDFColorSpace`
      Returns:
        true if the color space is an CMYK color space

    - #### isDeviceColorSpace

          public boolean isDeviceColorSpace()

      Specified by:
        `isDeviceColorSpace` in interface `PDFColorSpace`
      Returns:
        true if the color space is a device-dependent color space (like DeviceRGB, DeviceCMYK and DeviceGray)

    - #### isGrayColorSpace

          public boolean isGrayColorSpace()

      Specified by:
        `isGrayColorSpace` in interface `PDFColorSpace`
      Returns:
        true if the color space is an Gray color space

    - #### isRGBColorSpace

          public boolean isRGBColorSpace()

      Specified by:
        `isRGBColorSpace` in interface `PDFColorSpace`
      Returns:
        true if the color space is an RGB color space

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.